#!/bin/bash

if [[ "$1" = "-f" ]]; then
  # Focus window. This is slower, but some things like IBus require
  # this in order to work.
  WID=`xwininfo -name WebBrowser -int | grep "Window id" | cut -d" " -f4`
  xdotool windowfocus --sync $WID
  shift 1
else
  # Move to center of screen to work around issue:
  # Keypress in embedded container must occur with mouse over window
  xdotool mousemove --sync 683 384
fi

xdotool key $@
